using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.StoragesContracts
{
    public interface ICostStorage
    {
        List<CostViewModel> GetFullList();
        List<CostViewModel> GetFilteredList(CostSearchModel model);
        CostViewModel? GetElement(CostSearchModel model);
        CostViewModel? Insert(CostBindingModel model);
        CostViewModel? Update(CostBindingModel model);
        CostViewModel? Delete(CostBindingModel model);
    }
}
